<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/init.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>init.h</h1><a href="init_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of magpar.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    Copyright (C) 2002-2010 Werner Scholz</span>
<a name="l00005"></a>00005 <span class="comment"></span>
<a name="l00006"></a>00006 <span class="comment">    www:   http://www.magpar.net/</span>
<a name="l00007"></a>00007 <span class="comment">    email: magpar(at)magpar.net</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    magpar is free software; you can redistribute it and/or modify</span>
<a name="l00010"></a>00010 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00011"></a>00011 <span class="comment">    the Free Software Foundation; either version 2 of the License, or</span>
<a name="l00012"></a>00012 <span class="comment">    (at your option) any later version.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    magpar is distributed in the hope that it will be useful,</span>
<a name="l00015"></a>00015 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00016"></a>00016 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00017"></a>00017 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00020"></a>00020 <span class="comment">    along with magpar; if not, write to the Free Software</span>
<a name="l00021"></a>00021 <span class="comment">    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</span>
<a name="l00022"></a>00022 <span class="comment">*/</span>
<a name="l00023"></a>00023 
<a name="l00024"></a>00024 <span class="comment">/* $Id: init.h 2962 2010-02-04 19:50:44Z scholz $ */</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#ifndef INIT_H</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define INIT_H</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;<a class="code" href="griddata_8h.html">griddata.h</a>&quot;</span>
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a6924d6317e2e503ad009880947d9f905">CheckPartition</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,<span class="keywordtype">int</span> parts);
<a name="l00032"></a>00032 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a52df192596d7c8a72b6e25aa5375e96b">CleanUp</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00033"></a>00033 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a164c4a2ecf7d9fa9ff055929ec364085">DataCreate</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00034"></a>00034 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#ae86fda417879f5f19cc4f1da3b21326b">DataDestroy</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00035"></a>00035 <span class="keywordtype">int</span> <a class="code" href="destroyinit_8c.html#a1b4144014467c57b1ce5f003775cd266">DataDestroyInit</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00036"></a>00036 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#aac2a4c334ae5c2baef33867114fe8006">DataMoveData</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00037"></a>00037 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a7574e86fd79dd327c5164eebf82d7552">DataPartitionElements</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00038"></a>00038 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a6458904885e6dd97ed495c8ad5f11ca0">DataPartitionElementsSer</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00039"></a>00039 <span class="keywordtype">int</span> <a class="code" href="distortmesh_8c.html#a07f75fef1770fdca0f1cf8ea3369c8b2">DistortMesh</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00040"></a>00040 <span class="keywordtype">int</span> <a class="code" href="elevertvol_8c.html#a2103238be825fa27dce52bbc795d532d">EleVertVol</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00041"></a>00041 <span class="keywordtype">int</span> <a class="code" href="facnb_8c.html#ab880c52c1f93378088ef1e53763aa916">FacNB</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00042"></a>00042 <span class="keywordtype">int</span> <a class="code" href="filterelements_8c.html#a49c370a78a03718555d9d871ef6e11ee">FilterElements</a>(<span class="keywordtype">int</span> *pn_ele,<span class="keywordtype">int</span> **pelevert,<span class="keywordtype">int</span> **peleprop,PetscReal *propdat);
<a name="l00043"></a>00043 <span class="keywordtype">int</span> <a class="code" href="filternodes_8c.html#ab1da8fc65b9539386e71fb8601e36deb">FilterNodes</a>(<span class="keywordtype">int</span> *pn_vert, <span class="keywordtype">int</span> *pn_ele, PetscScalar **pvertxyz, <span class="keywordtype">int</span> *elevert, Vec *pM, Vec *pVH1, Vec *pVH2);
<a name="l00044"></a>00044 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a25ee3bfa58a704838a8bc6309f083f5c">InitInfo</a>();
<a name="l00045"></a>00045 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#accaf6541cd8225c7be69bdf5f6ac44d5">MagInit</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00046"></a>00046 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a8fd02adfde9e3d9ac120c87dee020678">MagSet</a>(<span class="keywordtype">int</span> pid,<span class="keywordtype">int</span> init_mag,PetscReal init_magparm,<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00047"></a>00047 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a5b18b26ca79926b582bf94e21e5f531b">ModifyPropPar</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00048"></a>00048 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a155bbdd0e9cc1c9194b91b08ca8162ac">ModifyPropSer</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00049"></a>00049 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#aab78598aa0d3ece1097d988997f0aea3">ParInit</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00050"></a>00050 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a325dee9c88a63835d07e633aac72bc7e">PermuteData</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,IS isvert,IS isele);
<a name="l00051"></a>00051 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a445ec9c1079f67af589544afbcea155f">RegularRefinement</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00052"></a>00052 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62">Reorder</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00053"></a>00053 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#ae4c8f3120a177cfe3ce6929927865a94">SerInit</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00054"></a>00054 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a2ccc2e2d746014ec809257f2d83d545d">StiffMat</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00055"></a>00055 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a031e1284b34dfcb64f029f9bd16545ce">VertProp</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00056"></a>00056 <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a89a5b0455634d88fd354f1c6558a643e">cmp_int</a>(<span class="keyword">const</span> <span class="keywordtype">int</span> *a, <span class="keyword">const</span> <span class="keywordtype">int</span> *b);
<a name="l00057"></a>00057 PetscReal <a class="code" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d">tetvol</a>(PetscReal *x1,PetscReal *x2,PetscReal *x3,PetscReal *x4);
<a name="l00058"></a>00058 PetscReal <a class="code" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e">tetgrad</a>(PetscReal *x1,PetscReal *x2,PetscReal *x3,PetscReal *x4,PetscReal D_etaj[][<a class="code" href="griddata_8h.html#a68d169e5b90cf721678bc7ab0f964a99">ND</a>]);
<a name="l00059"></a>00059 
<a name="l00060"></a>00060 <span class="preprocessor">#endif</span>
</pre></div></div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

